/*
 * LoggerFactory.hpp
 *
 *  Created on: Jun 19, 2018
 *      Author: Andreas Schneider, Johannes Wendel, Jonas Zeunert
 */

#ifndef SRC_UTILITIES_LOGGERFACTORY_HPP_
#define SRC_UTILITIES_LOGGERFACTORY_HPP_

#include "config.h"

namespace flippR_driver
{
namespace utility
{

namespace LoggerFactory
{
  static bool debug_log = false;
  void CreateInputTestLogger(el::Level level = el::Level::Global);
  void CreateInputLogger();
  void CreateOutputLogger();
  void ActivateDebugLog();
};

}
}
#endif
